Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors.out
Class ENLOCErrorOut

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.errors.out.ENLOCErrorOut

All Implemented Interfaces:
  java.io.Serializable

    public class ENLOCErrorOut

extends java.lang.Object
implements java.io.Serializable

Class ENLOCErrorOut. Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Constructor Summary
`ENLOCErrorOut()`

Method Summary
`void` | `addENLOCErrorParameter(ENLOCErrorParameter vENLOCErrorParameter)`
`void` | `addENLOCErrorParameter(int index, ENLOCErrorParameter vENLOCErrorParameter)`
`void` | `deleteErrorCode()`
`java.util.Enumeration<? extends ENLOCErrorParameter>` | `enumerateENLOCErrorParameter()` Method enumerateENLOCErrorParameter.
`java.lang.String` | `getDefaultDescription()` Returns the value of field 'defaultDescription'.
`ENLOCErrorParameter[]` | `getENLOCErrorParameter()` Method getENLOCErrorParameter.Returns the contents of the collection in an Array.
`ENLOCErrorParameter` | `getENLOCErrorParameter(int index)` Method getENLOCErrorParameter.
`int` | `getENLOCErrorParameterCount()` Method getENLOCErrorParameterCount.
`long` | `getErrorCode()` Returns the value of field 'errorCode'.
`java.lang.String` | `getErrorType()` Returns the value of field 'errorType'.
`java.lang.String` | `getTranslatedDescription()` Returns the value of field 'translatedDescription'.
`boolean` | `hasErrorCode()` Method hasErrorCode.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllENLOCErrorParameter()`
`boolean` | `removeENLOCErrorParameter(ENLOCErrorParameter vENLOCErrorParameter)` Method removeENLOCErrorParameter.
`ENLOCErrorParameter` | `removeENLOCErrorParameterAt(int index)` Method removeENLOCErrorParameterAt.
`void` | `setDefaultDescription(java.lang.String defaultDescription)` Sets the value of field 'defaultDescription'.
`void` | `setENLOCErrorParameter(ENLOCErrorParameter[] vENLOCErrorParameterArray)`
`void` | `setENLOCErrorParameter(int index, ENLOCErrorParameter vENLOCErrorParameter)`
`void` | `setErrorCode(long errorCode)` Sets the value of field 'errorCode'.
`void` | `setErrorType(java.lang.String errorType)` Sets the value of field 'errorType'.
`void` | `setTranslatedDescription(java.lang.String translatedDescription)` Sets the value of field 'translatedDescription'.
`static ENLOCErrorOut` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ENLOCErrorOut

    public ENLOCErrorOut()

Method Detail

### addENLOCErrorParameter

    public void addENLOCErrorParameter(ENLOCErrorParameter vENLOCErrorParameter)
                                throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vENLOCErrorParameter` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addENLOCErrorParameter

    public void addENLOCErrorParameter(int index,
                                       ENLOCErrorParameter vENLOCErrorParameter)
                                throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vENLOCErrorParameter` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### deleteErrorCode

    public void deleteErrorCode()

### enumerateENLOCErrorParameter

    public java.util.Enumeration<? extends ENLOCErrorParameter> enumerateENLOCErrorParameter()

  Method enumerateENLOCErrorParameter.

  Returns:
    an Enumeration over all es.inteco.xbrl.lenlocpenloc.errors.out.ENLOCErrorParameter elements

### getDefaultDescription

    public java.lang.String getDefaultDescription()

  Returns the value of field 'defaultDescription'.

  Returns:
    the value of field 'DefaultDescription'.

### getErrorCode

    public long getErrorCode()

  Returns the value of field 'errorCode'.

  Returns:
    the value of field 'ErrorCode'.

### getErrorType

    public java.lang.String getErrorType()

  Returns the value of field 'errorType'.

  Returns:
    the value of field 'ErrorType'.

### getENLOCErrorParameter

    public ENLOCErrorParameter getENLOCErrorParameter(int index)
                                               throws java.lang.IndexOutOfBoundsException

  Method getENLOCErrorParameter.

  Parameters:
    `index` -
  Returns:
    the value of the es.inteco.xbrl.lenlocpenloc.errors.out.ENLOCErrorParameter at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getENLOCErrorParameter

    public ENLOCErrorParameter[] getENLOCErrorParameter()

  Method getENLOCErrorParameter.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getENLOCErrorParameterCount

    public int getENLOCErrorParameterCount()

  Method getENLOCErrorParameterCount.

  Returns:
    the size of this collection

### getTranslatedDescription

    public java.lang.String getTranslatedDescription()

  Returns the value of field 'translatedDescription'.

  Returns:
    the value of field 'TranslatedDescription'.

### hasErrorCode

    public boolean hasErrorCode()

  Method hasErrorCode.

  Returns:
    true if at least one ErrorCode has been added

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllENLOCErrorParameter

    public void removeAllENLOCErrorParameter()

### removeENLOCErrorParameter

    public boolean removeENLOCErrorParameter(ENLOCErrorParameter vENLOCErrorParameter)

  Method removeENLOCErrorParameter.

  Parameters:
    `vENLOCErrorParameter` -
  Returns:
    true if the object was removed from the collection.

### removeENLOCErrorParameterAt

    public ENLOCErrorParameter removeENLOCErrorParameterAt(int index)

  Method removeENLOCErrorParameterAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setDefaultDescription

    public void setDefaultDescription(java.lang.String defaultDescription)

  Sets the value of field 'defaultDescription'.

  Parameters:
    `defaultDescription` - the value of field 'defaultDescription'.

### setErrorCode

    public void setErrorCode(long errorCode)

  Sets the value of field 'errorCode'.

  Parameters:
    `errorCode` - the value of field 'errorCode'.

### setErrorType

    public void setErrorType(java.lang.String errorType)

  Sets the value of field 'errorType'.

  Parameters:
    `errorType` - the value of field 'errorType'.

### setENLOCErrorParameter

    public void setENLOCErrorParameter(int index,
                                       ENLOCErrorParameter vENLOCErrorParameter)
                                throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vENLOCErrorParameter` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setENLOCErrorParameter

    public void setENLOCErrorParameter(ENLOCErrorParameter[] vENLOCErrorParameterArray)

  Parameters:
    `vENLOCErrorParameterArray` -

### setTranslatedDescription

    public void setTranslatedDescription(java.lang.String translatedDescription)

  Sets the value of field 'translatedDescription'.

  Parameters:
    `translatedDescription` - the value of field 'translatedDescription'.

### unmarshal

    public static ENLOCErrorOut unmarshal(java.io.Reader reader)
                                   throws org.exolab.castor.xml.MarshalException,
                                          org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.errors.out.ENLOCErrorOut
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD